#
# spec file for package python-egenix-mx-base (Version 2.0.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           python-egenix-mx-base
BuildRequires:  python-devel
Summary:        MX Extensions for Python (base)
Version:        2.0.6
Release:        18.2
Source0:        egenix-mx-base-%{version}.tar.bz2
Patch0:         egenix-mx-base-2.0.5-customize.patch
Patch1:         egenix-mx-base-2.0.6-comparison.patch
License:        Other License(s), see package, Python
Group:          Development/Libraries/Python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.egenix.com/files/python/eGenix-mx-Extensions.html
%{py_requires}

%description
A collection of Python software tools which enhance Python's usability
in areas such as fast text processing and date and time processing.
mxDateTime is required by the PostgreSQL Python interface (pygresql).



Authors:
--------
    Marc-Andr Lemburg

%debug_package
%prep
%setup -n egenix-mx-base-%{version}
%patch1
%patch0
cd mx/stdlib/distutils
%patch0

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES
# docs:
install -d -m755 $RPM_BUILD_ROOT/%{_docdir}/%{name}
install -m644 LICENSE $RPM_BUILD_ROOT/%{_docdir}/%{name}
cd $RPM_BUILD_ROOT/%{_docdir}/%{name}
find ../../../../%{_lib}/python*/site-packages/mx/ -type d -name Doc -print | \
    (
        while read DIR ; do
            NAME=`echo $DIR | sed -e 's@.*mx/@@' -e 's@/Doc@@'`
            if [ $NAME = Doc ] ; then
                ln -s $DIR/* .
            else
                ln -s $DIR $NAME
            fi
        done
    )

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc /%{_docdir}/%{name}

%changelog -n python-egenix-mx-base
* Mon Mar 13 2006 - jmatejek@suse.cz
- fixed nonsensical x<y<z formula in source (#156968)
* Tue Feb 28 2006 - jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 06 2004 - mcihar@suse.cz
- update to 2.0.6
* Wed Nov 24 2004 - mcihar@suse.cz
- no need to hack record-rpm here anymore
- update to 2.0.5
- compile with -fno-strict-aliasing
- drop mx_customize_compiler as it just breaks things compared to distutils one
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Jun 26 2003 - mcihar@suse.cz
- update to 2.0.4:
  * The mx distutils build system was updated to the latest version.
- use --record-rpm instead of sed for getting directory list
- patch mx distutils to support --record-rpm
- install docs only once
* Thu Aug 15 2002 - ke@suse.de
- Rename package: egenix-mx-base -> python-egenix-mx-base; proposal by
  niemeyer@conectiva.com [# 17755].
* Thu Aug 15 2002 - ke@suse.de
- Keep track of installed directories; reported by
  niemeyer@conectiva.com [# 17754].
* Fri May 24 2002 - ke@suse.de
- New package: version 2.0.3.
- Required by pygresql [# 14745].
